# swagger.model.CountriesListCollection

## Load the model package
```dart
import 'package:swagger/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**countryCode** | **String** |  | [optional] [default to null]
**name** | **String** |  | [optional] [default to null]
**colour** | **String** | html color code of the country | [optional] [default to null]
**flag** | **String** | utf emoji representing the country flag | [optional] [default to null]
**population** | **int** | country population in millions | [optional] [default to null]
**statsStartAt** | **String** | date as YYYY-MM-DD after which DiscoverSnoop has data for the country | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

