library swagger.api;

import 'dart:async';
import 'dart:convert';
import 'package:http/browser_client.dart';
import 'package:http/http.dart';

part 'api_client.dart';
part 'api_helper.dart';
part 'api_exception.dart';
part 'auth/authentication.dart';
part 'auth/api_key_auth.dart';
part 'auth/oauth.dart';
part 'auth/http_basic_auth.dart';

part 'api/alerts_api.dart';
part 'api/favs_api.dart';
part 'api/historical_api.dart';
part 'api/info_api.dart';
part 'api/kb_api.dart';
part 'api/live_api.dart';
part 'api/user_api.dart';
part 'model/alert_collection.dart';
part 'model/alerts.dart';
part 'model/categories.dart';
part 'model/categories_collection.dart';
part 'model/categories_list.dart';
part 'model/categories_list_collection.dart';
part 'model/category.dart';
part 'model/countries_list.dart';
part 'model/countries_list_collection.dart';
part 'model/distribution_collection.dart';
part 'model/domain.dart';
part 'model/domains.dart';
part 'model/domains_collection.dart';
part 'model/entities.dart';
part 'model/entities_collection.dart';
part 'model/entity.dart';
part 'model/favs.dart';
part 'model/favs_collection.dart';
part 'model/kb.dart';
part 'model/kb_collection.dart';
part 'model/message.dart';
part 'model/message_collection.dart';
part 'model/metrics_collection.dart';
part 'model/page.dart';
part 'model/pages.dart';
part 'model/pages_collection.dart';
part 'model/transaction_info.dart';
part 'model/user_collection.dart';
part 'model/user_info.dart';

ApiClient defaultApiClient = new ApiClient();
