part of swagger.api;

class CategoriesCollection {
  
  int id = null;
/* true if current category is a root category */
  bool isRoot = null;

  int score = null;

  int position = null;

  int publications = null;

  CategoriesCollection();

  @override
  String toString() {
    return 'CategoriesCollection[id=$id, isRoot=$isRoot, score=$score, position=$position, publications=$publications, ]';
  }

  CategoriesCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    isRoot = json['is_root'];
    score = json['score'];
    position = json['position'];
    publications = json['publications'];
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'is_root': isRoot,
      'score': score,
      'position': position,
      'publications': publications
     };
  }

  static List<CategoriesCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<CategoriesCollection>() : json.map((value) => new CategoriesCollection.fromJson(value)).toList();
  }

  static Map<String, CategoriesCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, CategoriesCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new CategoriesCollection.fromJson(value));
    }
    return map;
  }
}
