part of swagger.api;

class CategoriesListCollection {
  
  int id = null;
/* true if current category is a root category */
  bool isRoot = null;

  String name = null;

  int rootcategory = null;

  CategoriesListCollection();

  @override
  String toString() {
    return 'CategoriesListCollection[id=$id, isRoot=$isRoot, name=$name, rootcategory=$rootcategory, ]';
  }

  CategoriesListCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    isRoot = json['is_root'];
    name = json['name'];
    rootcategory = json['rootcategory'];
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'is_root': isRoot,
      'name': name,
      'rootcategory': rootcategory
     };
  }

  static List<CategoriesListCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<CategoriesListCollection>() : json.map((value) => new CategoriesListCollection.fromJson(value)).toList();
  }

  static Map<String, CategoriesListCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, CategoriesListCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new CategoriesListCollection.fromJson(value));
    }
    return map;
  }
}
