part of swagger.api;

class DistributionCollection {
  
  String item = null;

  int score = null;

  DistributionCollection();

  @override
  String toString() {
    return 'DistributionCollection[item=$item, score=$score, ]';
  }

  DistributionCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    item = json['item'];
    score = json['score'];
  }

  Map<String, dynamic> toJson() {
    return {
      'item': item,
      'score': score
     };
  }

  static List<DistributionCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<DistributionCollection>() : json.map((value) => new DistributionCollection.fromJson(value)).toList();
  }

  static Map<String, DistributionCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DistributionCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DistributionCollection.fromJson(value));
    }
    return map;
  }
}
