part of swagger.api;

class DomainsCollection {
  
  String publisher = null;

  String publisherUrl = null;

  int score = null;

  int position = null;

  int publications = null;

  String firstviewed = null;

  String lastviewed = null;
/* this domain is whitelisted to publish in newsstories format */
  bool isnews = null;
/* this domain is whitelisted to publish in /health category */
  bool ishealth = null;
/* this domain is whitelisted to publish in /finance format */
  bool isfinance = null;

  DomainsCollection();

  @override
  String toString() {
    return 'DomainsCollection[publisher=$publisher, publisherUrl=$publisherUrl, score=$score, position=$position, publications=$publications, firstviewed=$firstviewed, lastviewed=$lastviewed, isnews=$isnews, ishealth=$ishealth, isfinance=$isfinance, ]';
  }

  DomainsCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    publisher = json['publisher'];
    publisherUrl = json['publisher_url'];
    score = json['score'];
    position = json['position'];
    publications = json['publications'];
    firstviewed = json['firstviewed'];
    lastviewed = json['lastviewed'];
    isnews = json['isnews'];
    ishealth = json['ishealth'];
    isfinance = json['isfinance'];
  }

  Map<String, dynamic> toJson() {
    return {
      'publisher': publisher,
      'publisher_url': publisherUrl,
      'score': score,
      'position': position,
      'publications': publications,
      'firstviewed': firstviewed,
      'lastviewed': lastviewed,
      'isnews': isnews,
      'ishealth': ishealth,
      'isfinance': isfinance
     };
  }

  static List<DomainsCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<DomainsCollection>() : json.map((value) => new DomainsCollection.fromJson(value)).toList();
  }

  static Map<String, DomainsCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DomainsCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DomainsCollection.fromJson(value));
    }
    return map;
  }
}
