part of swagger.api;

class EntitiesCollection {
  
  String entity = null;

  String country = null;

  int score = null;

  int position = null;

  int publications = null;

  String firstviewed = null;

  String lastviewed = null;

  EntitiesCollection();

  @override
  String toString() {
    return 'EntitiesCollection[entity=$entity, country=$country, score=$score, position=$position, publications=$publications, firstviewed=$firstviewed, lastviewed=$lastviewed, ]';
  }

  EntitiesCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    entity = json['entity'];
    country = json['country'];
    score = json['score'];
    position = json['position'];
    publications = json['publications'];
    firstviewed = json['firstviewed'];
    lastviewed = json['lastviewed'];
  }

  Map<String, dynamic> toJson() {
    return {
      'entity': entity,
      'country': country,
      'score': score,
      'position': position,
      'publications': publications,
      'firstviewed': firstviewed,
      'lastviewed': lastviewed
     };
  }

  static List<EntitiesCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<EntitiesCollection>() : json.map((value) => new EntitiesCollection.fromJson(value)).toList();
  }

  static Map<String, EntitiesCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, EntitiesCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new EntitiesCollection.fromJson(value));
    }
    return map;
  }
}
