part of swagger.api;

class KBCollection {
  
  int id = null;

  int category = null;

  String title = null;

  String content = null;

  KBCollection();

  @override
  String toString() {
    return 'KBCollection[id=$id, category=$category, title=$title, content=$content, ]';
  }

  KBCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    category = json['category'];
    title = json['title'];
    content = json['content'];
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'category': category,
      'title': title,
      'content': content
     };
  }

  static List<KBCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<KBCollection>() : json.map((value) => new KBCollection.fromJson(value)).toList();
  }

  static Map<String, KBCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, KBCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new KBCollection.fromJson(value));
    }
    return map;
  }
}
