part of swagger.api;

class MetricsCollection {
  
  String date = null;

  int score = null;
/* used only for domain endpoint. will be missing in other endpoints */
  int audience = null;

  int position = null;

  int publications = null;
/* Can be final or partial (for current day) */
  String type = null;

  MetricsCollection();

  @override
  String toString() {
    return 'MetricsCollection[date=$date, score=$score, audience=$audience, position=$position, publications=$publications, type=$type, ]';
  }

  MetricsCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    date = json['date'];
    score = json['score'];
    audience = json['audience'];
    position = json['position'];
    publications = json['publications'];
    type = json['type'];
  }

  Map<String, dynamic> toJson() {
    return {
      'date': date,
      'score': score,
      'audience': audience,
      'position': position,
      'publications': publications,
      'type': type
     };
  }

  static List<MetricsCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<MetricsCollection>() : json.map((value) => new MetricsCollection.fromJson(value)).toList();
  }

  static Map<String, MetricsCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, MetricsCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new MetricsCollection.fromJson(value));
    }
    return map;
  }
}
