part of swagger.api;

class Pages {
  /* true if your request was executed correctly, false otherwise. more information in transaction_state */
  bool status = null;
/* the transaction ID that was assignated to your request. use it for customer suppport */
  String transactionId = null;
/* verbose information about execution of your request */
  String transactionState = null;

  double results = null;

  List<PagesCollection> data = [];

  Pages();

  @override
  String toString() {
    return 'Pages[status=$status, transactionId=$transactionId, transactionState=$transactionState, results=$results, data=$data, ]';
  }

  Pages.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    status = json['status'];
    transactionId = json['transaction_id'];
    transactionState = json['transaction_state'];
    results = json['results'];
    data = PagesCollection.listFromJson(json['data']);
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'transaction_id': transactionId,
      'transaction_state': transactionState,
      'results': results,
      'data': data
     };
  }

  static List<Pages> listFromJson(List<dynamic> json) {
    return json == null ? new List<Pages>() : json.map((value) => new Pages.fromJson(value)).toList();
  }

  static Map<String, Pages> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Pages>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Pages.fromJson(value));
    }
    return map;
  }
}
