# swagger.api.InfoApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**categoriesListGet**](InfoApi.md#categoriesListGet) | **GET** /categories_list | Get list of categories used in the product
[**countriesListGet**](InfoApi.md#countriesListGet) | **GET** /countries_list | Get list of countries available in the product

# **categoriesListGet**
> List<CategoriesList> categoriesListGet()

Get list of categories used in the product

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new InfoApi();

try {
    var result = api_instance.categoriesListGet();
    print(result);
} catch (e) {
    print("Exception when calling InfoApi->categoriesListGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<CategoriesList>**](CategoriesList.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **countriesListGet**
> List<CountriesList> countriesListGet()

Get list of countries available in the product

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new InfoApi();

try {
    var result = api_instance.countriesListGet();
    print(result);
} catch (e) {
    print("Exception when calling InfoApi->countriesListGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<CountriesList>**](CountriesList.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

