# swagger.api.KbApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**kbArticlesGet**](KbApi.md#kbArticlesGet) | **GET** /kb_articles | Get knowledge base articles

# **kbArticlesGet**
> List<KB> kbArticlesGet(article)

Get knowledge base articles

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new KbApi();
var article = 56; // int | ID of the requested article. 0 to get the full article list

try {
    var result = api_instance.kbArticlesGet(article);
    print(result);
} catch (e) {
    print("Exception when calling KbApi->kbArticlesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **article** | **int**| ID of the requested article. 0 to get the full article list | [optional] 

### Return type

[**List<KB>**](KB.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

