part of swagger.api;

class AlertCollection {
  
  String id = null;

  String createdAt = null;

  String alertName = null;

  bool activated = null;

  int type = null;
/* 1 for email, 2 for Slack, 3 for Google Chat */
  int channel = null;
/* email address of recipient of webhooks for slack/google */
  String recipient = null;

  String param1 = null;

  String param2 = null;

  String param3 = null;

  String param4 = null;

  String param5 = null;

  String param6 = null;

  AlertCollection();

  @override
  String toString() {
    return 'AlertCollection[id=$id, createdAt=$createdAt, alertName=$alertName, activated=$activated, type=$type, channel=$channel, recipient=$recipient, param1=$param1, param2=$param2, param3=$param3, param4=$param4, param5=$param5, param6=$param6, ]';
  }

  AlertCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    createdAt = json['createdAt'];
    alertName = json['alertName'];
    activated = json['activated'];
    type = json['type'];
    channel = json['channel'];
    recipient = json['recipient'];
    param1 = json['param1'];
    param2 = json['param2'];
    param3 = json['param3'];
    param4 = json['param4'];
    param5 = json['param5'];
    param6 = json['param6'];
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'createdAt': createdAt,
      'alertName': alertName,
      'activated': activated,
      'type': type,
      'channel': channel,
      'recipient': recipient,
      'param1': param1,
      'param2': param2,
      'param3': param3,
      'param4': param4,
      'param5': param5,
      'param6': param6
     };
  }

  static List<AlertCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<AlertCollection>() : json.map((value) => new AlertCollection.fromJson(value)).toList();
  }

  static Map<String, AlertCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, AlertCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new AlertCollection.fromJson(value));
    }
    return map;
  }
}
