part of swagger.api;

class Alerts {
  /* true if your request was executed correctly, false otherwise. more information in transaction_state */
  bool status = null;
/* the transaction ID that was assignated to your request. use it for customer suppport */
  String transactionId = null;
/* verbose information about execution of your request */
  String transactionState = null;

  List<AlertCollection> data = [];

  Alerts();

  @override
  String toString() {
    return 'Alerts[status=$status, transactionId=$transactionId, transactionState=$transactionState, data=$data, ]';
  }

  Alerts.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    status = json['status'];
    transactionId = json['transaction_id'];
    transactionState = json['transaction_state'];
    data = AlertCollection.listFromJson(json['data']);
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'transaction_id': transactionId,
      'transaction_state': transactionState,
      'data': data
     };
  }

  static List<Alerts> listFromJson(List<dynamic> json) {
    return json == null ? new List<Alerts>() : json.map((value) => new Alerts.fromJson(value)).toList();
  }

  static Map<String, Alerts> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Alerts>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Alerts.fromJson(value));
    }
    return map;
  }
}
