part of swagger.api;

class FavsCollection {
  
  String id = null;

  String name = null;

  String action = null;

  String parameters = null;

  int scheduled = null;

  String scheduledto = null;

  FavsCollection();

  @override
  String toString() {
    return 'FavsCollection[id=$id, name=$name, action=$action, parameters=$parameters, scheduled=$scheduled, scheduledto=$scheduledto, ]';
  }

  FavsCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    action = json['action'];
    parameters = json['parameters'];
    scheduled = json['scheduled'];
    scheduledto = json['scheduledto'];
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'name': name,
      'action': action,
      'parameters': parameters,
      'scheduled': scheduled,
      'scheduledto': scheduledto
     };
  }

  static List<FavsCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<FavsCollection>() : json.map((value) => new FavsCollection.fromJson(value)).toList();
  }

  static Map<String, FavsCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, FavsCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new FavsCollection.fromJson(value));
    }
    return map;
  }
}
