part of swagger.api;

class MessageCollection {
  
  int id = null;

  int status = null;

  String title = null;

  String content = null;

  String timestamp = null;

  MessageCollection();

  @override
  String toString() {
    return 'MessageCollection[id=$id, status=$status, title=$title, content=$content, timestamp=$timestamp, ]';
  }

  MessageCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    status = json['status'];
    title = json['title'];
    content = json['content'];
    timestamp = json['timestamp'];
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'status': status,
      'title': title,
      'content': content,
      'timestamp': timestamp
     };
  }

  static List<MessageCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<MessageCollection>() : json.map((value) => new MessageCollection.fromJson(value)).toList();
  }

  static Map<String, MessageCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, MessageCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new MessageCollection.fromJson(value));
    }
    return map;
  }
}
