part of swagger.api;

class PagesCollection {
  
  String url = null;

  String title = null;

  String image = null;

  String publisher = null;

  String publisherUrl = null;

  String snippet = null;

  int score = null;

  int position = null;

  int category = null;

  String firstviewed = null;

  String lastviewed = null;

  bool isNew = null;

  String storyType = null;

  bool isMoonstone = null;

  bool isNewsstory = null;

  bool isSapphire = null;

  bool isShort = null;

  bool isShowcase = null;

  bool isVideo = null;

  bool isWebstory = null;

  List<EntitiesCollection> entities = [];

  PagesCollection();

  @override
  String toString() {
    return 'PagesCollection[url=$url, title=$title, image=$image, publisher=$publisher, publisherUrl=$publisherUrl, snippet=$snippet, score=$score, position=$position, category=$category, firstviewed=$firstviewed, lastviewed=$lastviewed, isNew=$isNew, storyType=$storyType, isMoonstone=$isMoonstone, isNewsstory=$isNewsstory, isSapphire=$isSapphire, isShort=$isShort, isShowcase=$isShowcase, isVideo=$isVideo, isWebstory=$isWebstory, entities=$entities, ]';
  }

  PagesCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    url = json['url'];
    title = json['title'];
    image = json['image'];
    publisher = json['publisher'];
    publisherUrl = json['publisher_url'];
    snippet = json['snippet'];
    score = json['score'];
    position = json['position'];
    category = json['category'];
    firstviewed = json['firstviewed'];
    lastviewed = json['lastviewed'];
    isNew = json['is_new'];
    storyType = json['story_type'];
    isMoonstone = json['is_moonstone'];
    isNewsstory = json['is_newsstory'];
    isSapphire = json['is_sapphire'];
    isShort = json['is_short'];
    isShowcase = json['is_showcase'];
    isVideo = json['is_video'];
    isWebstory = json['is_webstory'];
    entities = EntitiesCollection.listFromJson(json['entities']);
  }

  Map<String, dynamic> toJson() {
    return {
      'url': url,
      'title': title,
      'image': image,
      'publisher': publisher,
      'publisher_url': publisherUrl,
      'snippet': snippet,
      'score': score,
      'position': position,
      'category': category,
      'firstviewed': firstviewed,
      'lastviewed': lastviewed,
      'is_new': isNew,
      'story_type': storyType,
      'is_moonstone': isMoonstone,
      'is_newsstory': isNewsstory,
      'is_sapphire': isSapphire,
      'is_short': isShort,
      'is_showcase': isShowcase,
      'is_video': isVideo,
      'is_webstory': isWebstory,
      'entities': entities
     };
  }

  static List<PagesCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<PagesCollection>() : json.map((value) => new PagesCollection.fromJson(value)).toList();
  }

  static Map<String, PagesCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, PagesCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new PagesCollection.fromJson(value));
    }
    return map;
  }
}
