part of swagger.api;

class UserCollection {
  
  String fname = null;

  String lname = null;

  String translation = null;

  String email = null;

  String custid = null;

  String plan = null;

  String planDescription = null;

  String countriesActivated = null;

  String categoriesActivated = null;

  int countriesAllowed = null;

  int countriesOffered = null;

  int countriesDaysToEdit = null;

  int linesInReport = null;

  int alertsAllowed = null;

  int reportsAllowed = null;

  int apiAccess = null;

  bool filterAccess = null;

  String apiToken = null;

  UserCollection();

  @override
  String toString() {
    return 'UserCollection[fname=$fname, lname=$lname, translation=$translation, email=$email, custid=$custid, plan=$plan, planDescription=$planDescription, countriesActivated=$countriesActivated, categoriesActivated=$categoriesActivated, countriesAllowed=$countriesAllowed, countriesOffered=$countriesOffered, countriesDaysToEdit=$countriesDaysToEdit, linesInReport=$linesInReport, alertsAllowed=$alertsAllowed, reportsAllowed=$reportsAllowed, apiAccess=$apiAccess, filterAccess=$filterAccess, apiToken=$apiToken, ]';
  }

  UserCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    fname = json['fname'];
    lname = json['lname'];
    translation = json['translation'];
    email = json['email'];
    custid = json['custid'];
    plan = json['plan'];
    planDescription = json['plan_description'];
    countriesActivated = json['countries_activated'];
    categoriesActivated = json['categories_activated'];
    countriesAllowed = json['countries_allowed'];
    countriesOffered = json['countries_offered'];
    countriesDaysToEdit = json['countries_days_to_edit'];
    linesInReport = json['lines_in_report'];
    alertsAllowed = json['alerts_allowed'];
    reportsAllowed = json['reports_allowed'];
    apiAccess = json['api_access'];
    filterAccess = json['filter_access'];
    apiToken = json['api_token'];
  }

  Map<String, dynamic> toJson() {
    return {
      'fname': fname,
      'lname': lname,
      'translation': translation,
      'email': email,
      'custid': custid,
      'plan': plan,
      'plan_description': planDescription,
      'countries_activated': countriesActivated,
      'categories_activated': categoriesActivated,
      'countries_allowed': countriesAllowed,
      'countries_offered': countriesOffered,
      'countries_days_to_edit': countriesDaysToEdit,
      'lines_in_report': linesInReport,
      'alerts_allowed': alertsAllowed,
      'reports_allowed': reportsAllowed,
      'api_access': apiAccess,
      'filter_access': filterAccess,
      'api_token': apiToken
     };
  }

  static List<UserCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<UserCollection>() : json.map((value) => new UserCollection.fromJson(value)).toList();
  }

  static Map<String, UserCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, UserCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new UserCollection.fromJson(value));
    }
    return map;
  }
}
